Bug 1295198 - [REST-API][SR-IOV]Add label and remove network from virtualfunctionallowednetworks/labels fail
[REST-API][SR-IOV]Add label and remove network from virtualfunctionallowednet...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
x86_64 Linux
high Severity medium (vote)
: ovirt-3.6.2
: 3.6.2.5
Assigned To: Yevgeny Zaspitsky
Meni Yakove
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 08:15 EST by Meni Yakove
Modified: 2016-02-18 06:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:11:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
danken: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)
engine.log (1.75 MB, text/plain)
2016-01-03 08:15 EST, Meni Yakove
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 51239 master MERGED restapi: Fix the command params for SRIOV related commands 2016-01-03 17:50 EST
oVirt gerrit 51296 ovirt-engine-3.6 MERGED restapi: Fix the command params for SRIOV related commands 2016-01-04 08:55 EST
oVirt gerrit 51298 ovirt-engine-3.6.2 MERGED restapi: Fix the command params for SRIOV related commands 2016-01-04 10:16 EST

  None (edit)
Description Meni Yakove 2016-01-03 08:15:47 EST
Created attachment 1111153 [details]
engine.log

Description of problem:
Removing label or network from virtualfunctionallowednetworks/labels ends with:
<fault>
<reason>Operation Failed</reason>
<detail>java.lang.NullPointerException</detail>
</fault>


Version-Release number of selected component (if applicable):
rhevm-3.6.2-0.1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Send DELETE to:
ovirt-engine/api/hosts/<host_id>/nics/<nic_id>/virtualfunctionallowednetworks/<network_id>

2. Send POST to:
jenkins-vm-06.scl.lab.tlv.redhat.com/ovirtengine/api/hosts/<host_id>/nics/<nic_id>/virtualfunctionallowedlabels/ 
with <label id="lbl1"/>

Actual results:
<reason>Operation Failed</reason>
<detail>java.lang.NullPointerException</detail>

Expected results:
Add label and remove network succeed

Additional info:
2016-01-03 15:11:14,804 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (ajp-/127.0.0.1:8702-4) [] Can't find constructor for type org.ovirt.engine.core.bll.network.h
ost.AddVfsConfigLabelCommand with parameter types: [class org.ovirt.engine.core.common.action.LabelNicParameters]
2016-01-03 15:11:14,804 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (ajp-/127.0.0.1:8702-4) [] An exception has occured while trying to create a command object fo
r command 'AddVfsConfigLabel': could not find matching constructor for Command class class org.ovirt.engine.core.bll.network.host.AddVfsConfigLabelCommand
2016-01-03 15:11:14,840 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp-/127.0.0.1:8702-4) [] Operation Failed: java.lang.NullPointerExceptio
n
2016-01-03 15:11:14,840 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp-/127.0.0.1:8702-4) [] Exception: javax.ejb.EJBException: java.lang.Nu
llPointerException
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.handleExceptionInNoTx(CMTTxInterceptor.java:216) [jboss-as-ejb3.jar:7.5.5.Final-redhat-3]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:268) [jboss-as-ejb3.jar:7.5.5.Final-redhat-3]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:377) [jboss-as-ejb3.jar:7.5.5.Final-redhat-3]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:246) [jboss-as-ejb3.jar:7.5.5.Final-redhat-3]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.2.Final-redhat-1]
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-as-ejb3.ja
r:7.5.5.Final-redhat-3]
Comment 1 Michael Burman 2016-01-24 09:43:59 EST
Verified on - 3.6.2.6-0.1.el6

Note You need to log in before you can comment on or make changes to this bug.